diff --git a/web/pgadmin/static/scss/resources/_default.variables.scss b/web/pgadmin/static/scss/resources/_default.variables.scss
index 7b187a45c..0f885ccab 100644
--- a/web/pgadmin/static/scss/resources/_default.variables.scss
+++ b/web/pgadmin/static/scss/resources/_default.variables.scss
@@ -198,6 +198,8 @@ $color-editor-bracket: #737373 !default;
 $color-editor-operator: $color-fg !default;
 $color-editor-foldmarker: #0000FF !default;
 $color-editor-activeline: #50B0F0 !default;
+$color-editor-activeline-light: #EDF9FF !default;
+$color-editor-activeline-border-color: #BCDEF3 !default;
 
 $active-color: $color-primary !default;
 $active-border: 3px solid $active-color !default;
diff --git a/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss b/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss
index 5d34b8801..7e1f4aac2 100644
--- a/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss
+++ b/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss
@@ -97,6 +97,11 @@ li.CodeMirror-hint-active {
   color: $color-primary-fg;
 }
 
+.sql-editor .CodeMirror-activeline-background {
+  background: $color-editor-activeline-light !important;
+  border: 1px solid $color-editor-activeline-border-color;
+}
+
 .filter-container {
   position: relative;
   background-color: $color-bg;
